/*!
 * Copyright (c) 2020 Ron Buckton (rbuckton@chronicles.org)
 *
 * This file is licensed to you under the terms of the MIT License, found in the LICENSE file
 * in the root of this repository or package.
 */
import { Scanner } from "../scanner";
import { DiagnosticMessages, LineMap } from "../diagnostics";
import { SourceFile } from "../nodes";
export declare function writeTokens(test: string, scanner: Scanner, lineMap: LineMap, baselines?: string[]): string;
export declare function writeDiagnostics(test: string, diagnostics: DiagnosticMessages, baselines?: string[]): string;
export declare function writeNodes(test: string, sourceFile: SourceFile, baselines?: string[]): string;
export declare function writeOutput(test: string, extname: string, text: string | undefined, baselines?: string[]): string;
export declare function writeBaseline(file: string, text: string | undefined, baselines?: string[]): string;
export declare function compareBaselines(baselines: string[]): void;
export declare function compareBaseline(file: string): void;
