"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jest_matcher_utils_1 = require("jest-matcher-utils");
const tokens_1 = require("../tokens");
const printKind = (kind) => `${kind} (${(0, tokens_1.tokenToString)(kind)})`;
const passMessage = (received, expected) => () => `${(0, jest_matcher_utils_1.matcherHint)('.not.toBeSyntaxKind')}

Expected: ${(0, jest_matcher_utils_1.EXPECTED_COLOR)(printKind(expected))}
Received: ${(0, jest_matcher_utils_1.RECEIVED_COLOR)(printKind(received))}
`;
const failMessage = (received, expected) => () => `${(0, jest_matcher_utils_1.matcherHint)('.toBeSyntaxKind')}

Expected: ${(0, jest_matcher_utils_1.EXPECTED_COLOR)(printKind(expected))}
Received: ${(0, jest_matcher_utils_1.RECEIVED_COLOR)(printKind(received))}
`;
expect.extend({
    toBeSyntaxKind(received, expected) {
        const pass = received === expected;
        const message = (pass ? passMessage : failMessage)(received, expected);
        return { pass, message };
    }
});
//# sourceMappingURL=matchers.js.map