"use strict";
/*!
 * Copyright (c) 2020 Ron Buckton (rbuckton@chronicles.org)
 *
 * This file is licensed to you under the terms of the MIT License, found in the LICENSE file
 * in the root of this repository or package.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const async_canceltoken_1 = require("@esfx/async-canceltoken");
const diagnostics_1 = require("../diagnostics");
const nodes_1 = require("../nodes");
const scanner_1 = require("../scanner");
describe("Scanner", () => {
    it("cancelable", () => {
        const sourceFile = new nodes_1.SourceFile("cancelable.grammar", "", []);
        const diagnostics = new diagnostics_1.DiagnosticMessages();
        diagnostics.setSourceFile(sourceFile);
        const cts = async_canceltoken_1.CancelToken.source();
        const scanner = new scanner_1.Scanner(sourceFile.filename, sourceFile.text, diagnostics, cts.token);
        cts.cancel();
        expect(() => scanner.scan()).toThrow();
    });
});
//# sourceMappingURL=scanner.test.js.map