/*!
 * Copyright (c) 2020 Ron Buckton (rbuckton@chronicles.org)
 *
 * This file is licensed to you under the terms of the MIT License, found in the LICENSE file
 * in the root of this repository or package.
 */
import { Emitter } from "./emitter";
import { Argument, ArgumentList, ButNotSymbol, Constraints, EmptyAssertion, LexicalGoalAssertion, LookaheadAssertion, Node, Nonterminal, NoSymbolHereAssertion, OneOfList, OneOfSymbol, Parameter, ParameterList, Production, Prose, ProseAssertion, RightHandSide, RightHandSideList, SymbolSet, SymbolSpan, Terminal, TerminalLiteral, TextContent, UnicodeCharacterLiteral, UnicodeCharacterRange } from "../nodes";
/** {@docCategory Emit} */
export declare class MarkdownEmitter extends Emitter {
    protected extension: string;
    protected emitKeyword(node: Node): void;
    protected emitProse(node: Prose): void;
    protected emitProduction(node: Production): void;
    protected emitParameterList(node: ParameterList): void;
    protected emitParameter(node: Parameter): void;
    protected emitOneOfList(node: OneOfList): void;
    protected emitRightHandSideList(node: RightHandSideList): void;
    protected emitRightHandSide(node: RightHandSide): void;
    protected emitSymbolSpan(node: SymbolSpan): void;
    protected emitTerminal(node: Terminal): void;
    protected emitNonterminal(node: Nonterminal): void;
    protected emitArgumentList(node: ArgumentList): void;
    protected emitArgument(node: Argument): void;
    protected emitUnicodeCharacterLiteral(node: UnicodeCharacterLiteral): void;
    protected emitTerminalLiteral(node: TerminalLiteral): void;
    protected emitEmptyAssertion(node: EmptyAssertion): void;
    protected emitSymbolSet(node: SymbolSet): void;
    protected emitLookaheadAssertion(node: LookaheadAssertion): void;
    protected emitLexicalGoalAssertion(node: LexicalGoalAssertion): void;
    protected emitNoSymbolHereAssertion(node: NoSymbolHereAssertion): void;
    protected emitConstraints(node: Constraints): void;
    protected emitProseAssertion(node: ProseAssertion): void;
    protected emitUnicodeCharacterRange(node: UnicodeCharacterRange): void;
    protected emitButNotSymbol(node: ButNotSymbol): void;
    protected emitOneOfSymbol(node: OneOfSymbol): void;
    protected emitTextContent(node: TextContent): void;
    protected afterEmitNode(node: Node): void;
    private emitLinkAnchor;
    private emitNodeWithLink;
}
