/*!
 * Copyright (c) 2020 Ron Buckton (rbuckton@chronicles.org)
 *
 * This file is licensed to you under the terms of the MIT License, found in the LICENSE file
 * in the root of this repository or package.
 */
import { ReadFileCallback, WriteFileCallback, CoreAsyncHost } from "../host";
/** {@docCategory Hosts} */
export interface NodeAsyncHostOptions {
    /**
     * Indicates whether the host is case-insensitive (`true`) or case-sensitive (`false`).
     */
    ignoreCase?: boolean;
    /**
     * A set of known grammars in the form `{ "name": "path" }`
     */
    knownGrammars?: Record<string, string>;
    /**
     * Indicates whether to include builtin grammars in the set of known grammars.
     */
    useBuiltinGrammars?: boolean;
    readFile?: ReadFileCallback | false;
    writeFile?: WriteFileCallback | false;
    allowUris?: false;
}
/** {@docCategory Hosts} */
export declare class NodeAsyncHost extends CoreAsyncHost {
    constructor(options?: NodeAsyncHostOptions);
}
