import { SourceFile } from "./nodes";
import { Position, Range } from "./types";
export declare class LineOffsetMap {
    private generatedFilesLineOffsets;
    private sourceFilesLineOffsets;
    /**
     * Gets the effective filename of a raw position within a source file, taking into account `@line` directives.
     */
    getEffectiveFilenameAtPosition(sourceFile: SourceFile | string, position: Position): string;
    /**
     * Gets the effective position of a raw position within a source file, taking into account `@line` directives.
     */
    getEffectivePosition(sourceFile: SourceFile | string, position: Position): Position;
    /**
     * Gets the effective range of a raw range within a source file, taking into account `@line` directives.
     */
    getEffectiveRange(sourceFile: SourceFile | string, range: Range): Range;
    getRawFilenameAtEffectivePosition(filename: string, position: Position): string;
    getRawPositionFromEffectivePosition(filename: string, position: Position): Position;
    getRawRangeFromEffectiveRange(filename: string, range: Range): Range;
}
