/*!
 * Copyright (c) 2020 Ron Buckton (rbuckton@chronicles.org)
 *
 * This file is licensed to you under the terms of the MIT License, found in the LICENSE file
 * in the root of this repository or package.
 */
export interface Person {
    name?: string;
    email?: string;
}
export interface Package {
    name?: string;
    author?: string | Person;
    homepage?: string;
    version?: string;
    license?: string;
    description?: string;
    keywords?: string[];
    main?: string;
    typings?: string;
    dependencies?: {
        [name: string]: string;
    };
    devDependencies?: {
        [name: string]: string;
    };
}
export declare function readPackage(packagePath: string, done: (err: any, pkg: Package | undefined) => void): void;
export declare function readPackageSync(packagePath: string): Package;
