"use strict";
/*!
 * Copyright (c) 2020 Ron Buckton (rbuckton@chronicles.org)
 *
 * This file is licensed to you under the terms of the MIT License, found in the LICENSE file
 * in the root of this repository or package.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.readPackageSync = exports.readPackage = void 0;
const fs_1 = require("fs");
function readPackage(packagePath, done) {
    (0, fs_1.readFile)(packagePath, "utf8", (err, data) => {
        try {
            if (err)
                throw err;
            done(undefined, JSON.parse(data));
        }
        catch (e) {
            done(err, undefined);
        }
    });
}
exports.readPackage = readPackage;
function readPackageSync(packagePath) {
    let data = (0, fs_1.readFileSync)(packagePath, "utf8");
    return JSON.parse(data);
}
exports.readPackageSync = readPackageSync;
//# sourceMappingURL=read-package.js.map