/*!
 * Copyright (c) 2020 Ron Buckton (rbuckton@chronicles.org)
 *
 * This file is licensed to you under the terms of the MIT License, found in the LICENSE file
 * in the root of this repository or package.
 */
/** {@docCategory Emit} */
export declare class StringWriter {
    private _text;
    private _depth;
    private _indents;
    private _flags;
    private _character;
    private _line;
    private _eol;
    constructor(eol?: string);
    get size(): number;
    get line(): number;
    get character(): number;
    indent(): void;
    dedent(): void;
    write(text?: string): void;
    commitLine(): void;
    writeln(text?: string): void;
    toString(): string;
    clone(): StringWriter;
    private flushNewLine;
    private flushIndent;
}
